## ros-galactic-test-bond 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(test_bond)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/TestBond.srv"
  DEPENDENCIES std_msgs builtin_interfaces
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  find_package(ament_lint_auto REQUIRED)
  find_package(bond REQUIRED)
  find_package(bondcpp REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rclcpp_lifecycle REQUIRED)
  find_package(rosidl_cmake REQUIRED)
  find_package(Threads REQUIRED)

  find_package(PkgConfig REQUIRED)
  pkg_search_module(UUID REQUIRED uuid)
  # we have to find the absolute path to uuid as target_link_directories is not available before cmake 3.13
  find_library(uuid_ABS_PATH ${UUID_LIBRARIES} PATHS ${UUID_LIBRARY_DIRS})

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_callbacks_cpp test/test_callbacks_cpp.cpp)
  if(TARGET test_callbacks_cpp)
    target_include_directories(test_callbacks_cpp PRIVATE include)
    target_link_libraries(test_callbacks_cpp ${uuid_ABS_PATH})
    ament_target_dependencies(test_callbacks_cpp bond bondcpp rclcpp rclcpp_lifecycle)
    rosidl_target_interfaces(test_callbacks_cpp
      ${PROJECT_NAME} "rosidl_typesupport_cpp")
  endif()

  #  ament_add_gtest(test_callbacks_cpp_exc test/test_callbacks_cpp_exc.cpp)
  #  if(TARGET test_callbacks_cpp_exc)
  #    target_include_directories(test_callbacks_cpp_exc PRIVATE include)
  #    target_link_libraries(test_callbacks_cpp_exc ${UUID_LIBS})
  #    ament_target_dependencies(test_callbacks_cpp_exc bondcpp rclcpp rclcpp_lifecycle)
  #    rosidl_target_interfaces(test_callbacks_cpp_exc
  #      ${PROJECT_NAME} "rosidl_typesupport_cpp")
  #  endif()
  #
  #  ament_add_gtest(exercise_bond_cpp_exc test/exercise_bond_cpp_exc.cpp)
  #  if(TARGET exercise_bond_cpp_exc)
  #    target_include_directories(exercise_bond_cpp_exc PRIVATE include)
  #    target_link_libraries(exercise_bond_cpp_exc ${UUID_LIBS})
  #    ament_target_dependencies(exercise_bond_cpp_exc bondcpp rclcpp rclcpp_lifecycle)
  #    rosidl_target_interfaces(exercise_bond_cpp_exc
  #      ${PROJECT_NAME} "rosidl_typesupport_cpp")
  #  endif()
endif()
ament_package()

=== debian/changelog ===
ros-galactic-test-bond (3.0.1-4focal) focal; urgency=high

  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-galactic-test-bond (3.0.0-4focal) focal; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-galactic-test-bond (2.0.0-4focal) focal; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 08:00:00 -0000

ros-galactic-test-bond (1.8.3-4focal) focal; urgency=high

  * Fix build issue on Windows (#38 <https://github.com/ros/bond_core/issues/38>)
    * Fix build issue on Windows
    * indent for better readability
  * Contributors: Johnson Shih

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-galactic-test-bond (1.8.2-4focal) focal; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-galactic-test-bond (1.8.1-4focal) focal; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-galactic-test-bond (1.8.0-4focal) focal; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Python3 compatibility (#24 <https://github.com/ros/bond_core/issues/24>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-galactic-test-bond (1.7.19-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-galactic-test-bond (1.7.18-4focal) focal; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-galactic-test-bond (1.7.17-4focal) focal; urgency=high

  * update maintainer
  * Made code a bit more readable #12 <https://github.com/ros/bond_core/pull/12>
  * Contributors: Esteve Fernandez, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 07:00:00 -0000

ros-galactic-test-bond (1.7.16-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-galactic-test-bond (1.7.15-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 07:00:00 -0000

ros-galactic-test-bond (1.7.14-4focal) focal; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 07:00:00 -0000

ros-galactic-test-bond (1.7.13-4focal) focal; urgency=high

  * update check for CATKIN_ENABLE_TESTING to work with isolated built
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-galactic-test-bond (1.7.12-4focal) focal; urgency=high

  * fix dependency on exported targets if the variable is empty for the test package
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-galactic-test-bond (1.7.11-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-galactic-test-bond (1.7.10-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-galactic-test-bond (1.7.9-4focal) focal; urgency=high

  * fix wrong import of bondpy
  * increase timeout for test
  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 08:00:00 -0000

ros-galactic-test-bond (1.7.8-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-galactic-test-bond (1.7.7-4focal) focal; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-galactic-test-bond (1.7.6-4focal) focal; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-galactic-test-bond (1.7.5-4focal) focal; urgency=high

  * clean up package.xml files
  * fixed dep to rostest
  * fixed python module import
  * fixed test registration in cmake
  * fixed compiling tests
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 07:00:00 -0000

ros-galactic-test-bond (1.7.4-4focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 07:00:00 -0000

ros-galactic-test-bond (1.7.3-4focal) focal; urgency=high





=== debian/control ===
Source: ros-galactic-test-bond
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-bond, ros-galactic-bondcpp, ros-galactic-builtin-interfaces, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, uuid-dev, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/test_bond
Standards-Version: 3.9.2

Package: ros-galactic-test-bond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-builtin-interfaces, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Contains tests for [[bond]], including tests for [[bondcpp]].

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-test-bond//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
